
Lookup Editor - Task #2193

Determine if updated SHC rules could synchronize the lookup backups

01/29/2018 10:56 PM - Luke Murphey

Status: Closed Start date: 01/29/2018

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.0   

Description

Something like:

/opt/splunk/bin/splunk btool server list --debug shcluster | grep lookup

/opt/splunk/etc/system/default/server.conf conf_replication_include.lookups = true

/opt/splunk/etc/system/default/server.conf conf_replication_summary.blacklist.lookup_index = (syst

em|(apps/*)|users(/_reserved)?/*/*)/lookups/*.(tmp$|index($|/...))

/opt/splunk/etc/system/default/server.conf conf_replication_summary.whitelist.lookups = (system|(a

pps/*)|users(/_reserved)?/*/*)/lookups/*

History

#1 - 01/30/2018 05:05 AM - Luke Murphey

See:

https://answers.splunk.com/answers/439878/how-to-blacklist-git-directory-in-each-app.html

http://docs.splunk.com/Documentation/Splunk/latest/Admin/Serverconf

#2 - 02/01/2018 07:57 PM - Luke Murphey

- Status changed from New to Rejected

#3 - 02/09/2018 06:30 PM - Luke Murphey

- Status changed from Rejected to New

#4 - 02/13/2018 06:13 PM - Luke Murphey

/opt/splunk/etc/system/default/server.conf conf_replication_include.lookups = true

/opt/splunk/etc/system/default/server.conf conf_replication_summary.blacklist.lookup_index = (system|(apps/*)|

users(/_reserved)?/*/*)/lookups/*.(tmp$|index($|/...))

/opt/splunk/etc/system/default/server.conf conf_replication_summary.whitelist.lookups = (system|(apps/*)|users

(/_reserved)?/*/*)/lookups/*|apps/*/lookups/lookup_file_backups/*/*/*/*.csv

#6 - 02/14/2018 10:09 PM - Luke Murphey

See https://answers.splunk.com/answers/215960/can-you-control-what-gets-replicated-between-searc.html

#7 - 02/15/2018 12:05 AM - Luke Murphey

Tried, but the file isn't replicating. I see the directory on:
/opt/splunk/etc/apps/lookup_editor/lookups/lookup_file_backups/lookup_editor/nobody

#8 - 02/16/2018 08:45 PM - Luke Murphey

I will need to move the lookup backups to another directory if I go with this approach since the blacklist won't allow sub-directories in the lookup

directory.

#9 - 02/16/2018 08:45 PM - Luke Murphey

- Status changed from New to In Progress

#10 - 02/21/2018 03:16 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Confirmed from Core: "the short version is: you can't include arbitrary files in member-to-member replication"
